| Home | Libraries | People | FAQ | More

## Struct template regex_traits

boost::xpressive::regex_traits —

## Synopsis

    template<typename Char, typename Impl>
    struct regex_traits {
      // types
      typedef Impl::locale_type locale_type;

      // construct/copy/destruct
      regex_traits();
      regex_traits(locale_type const &);
    };

## Description

Thin wrapper around the default regex_traits implementation, either cpp_regex_traits or c_regex_traits

### `regex_traits` construct/copy/destruct

1.     regex_traits();

2.     regex_traits(locale_type const & loc);

| Copyright © 2003, 2004 Eric Niebler